---
title: "Create document group embedded view link"
url: "https://docs.signnow.com/docs/embedded-view/operations/embedded-view-doc-group"
type: "endpoint"
section: "embedded-view"
slug: "embedded-view/operations/embedded-view-doc-group"
method: "POST"
path: "/v2/document-groups/{document_group_id}/embedded-view"
operation_id: "embedded-view-doc-group"
authorization: "bearer"
---

# Create document group embedded view link

`POST /v2/document-groups/{document_group_id}/embedded-view`

This endpoint allows users to create an embedded view link for the specified document group. The link opens the document group in embedded view mode, enabling users to review and download documents without logging in to SignNow. Embedded view links can only be generated for documents and document groups.

**Additional information**

- Authentication is not required to open the link.
- The link can be used multiple times until it expires.
- The link can be generated for a document group in any status (e.g., waiting for others, signed, etc.).

You can customize the view mode experience in the editor and on the **You’ve viewed a document** page. Available options include:

- Set a custom logo in the editor and on the **You’ve viewed a document** page using `logo.url`.
- Customize the **Download Document** button style on the **You’ve viewed a document** page using `general.buttons.secondary`.
- Show or hide the **More Actions** menu in the editor using `settings.visibility`.
- Show or hide the **Close** button in the editor using `close-button.visibility`.
- Show or hide the **Download Document** button in the editor using `download-button.visibility`.
- Show or hide the sidebar navigation buttons in the editor using `icons`.
- Show or hide the **Download Document** button on the **You’ve viewed a document** page using `complete-page.button-download.visibility`. 

Learn more about [branding](/docs/guides-branding#about-branding).

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | Document group ID. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "properties": {
    "redirect_uri": {
      "type": "string",
      "example": "https://www.signnow.com/",
      "description": "The link that opens after a user clicks the **Close** button. If not set, the default page **You\u2019ve viewed a document** page will be used.\n",
      "x-stoplight": {
        "id": "m2sqpk22ey5jo"
      }
    },
    "link_expiration": {
      "type": "integer",
      "default": 43200,
      "maximum": 518400,
      "minimum": 43200,
      "description": "Link expiration time in minutes. ",
      "x-stoplight": {
        "id": "9m305v788jfgj"
      }
    },
    "redirect_target": {
      "type": "string",
      "default": "self",
      "description": "Specifies where to open the redirect link. Can only be used if `redirect_url` is set. Possible values: `blank` - opens the link in the new tab, `self` - opens the link in the same tab.",
      "x-stoplight": {
        "id": "26epj7lys211h"
      }
    }
  }
}
```

**Example** (`Request with all parameters`)

```json
{
  "redirect_uri": "https://www.signnow.com/",
  "link_expiration": 43200,
  "redirect_target": "blank"
}
```

## Responses

### 200

The link has been created.

### 400

- The bearer token is incorrect.
- The payload is incorrect.
- The `link_expiration` value type is incorrect.
- The `link_expiration` range value is incorrect.  Must be between 43200 minutes (30 days) and 518400 minutes (360 days).
- The `redirect_uri` value type is incorrect.
- The `redirect_uri` field is empty.
- The `redirect_uri` value is too long.
- The `redirect_uri` has an incorrect format.
- The `redirect_target` field value is incorrect.
- The `redirect_uri` field is required when `redirect_target` is added.

### 403

- The application is not external.
- The user is not a document group owner.

### 404


The document group is not found.

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/document-groups/{document_group_id}/embedded-view" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"redirect_uri": "https://www.signnow.com/", "link_expiration": 43200, "redirect_target": "blank"}'
```

---
*Full reference: https://docs.signnow.com/docs/embedded-view/operations/embedded-view-doc-group*
